/*
 * FCKeditor - The text editor for Internet - http://www.fckeditor.net
 * Copyright (C) 2003-2008 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 *
 * File Name: fckplugin.js
 * 	Plugin to insert "ImageAdjustor" in the editor.
 *
 * File Authors:
 *  Akira Taniguchi (akira@behappy.2-d.jp)
 *
 * Version:
 *  2008/11/01
 */

// Register the related command.
var oImageAdjustorCommand = new FCKDialogCommand( 'ImageAdjustor', FCKLang.ImageAdjustorDlgTitle, FCKPlugins.Items['ImageAdjustor'].Path + 'fck_ImageAdjustor.html', 480, 560 );

oImageAdjustorCommand.GetState = function()
{
	if ( FCK.EditMode != FCK_EDITMODE_WYSIWYG ) return FCK_TRISTATE_DISABLED ;
	
	var oSel = FCKSelection.GetSelectedElement();
	
	if ( oSel == null ) return FCK_TRISTATE_DISABLED ;
	if ( typeof( oSel ) == 'undefined' ) return FCK_TRISTATE_DISABLED ;
	if ( oSel.tagName != 'IMG' ) return FCK_TRISTATE_DISABLED ;
	if ( oSel.getAttribute( '_fckfakelement' ) ) return FCK_TRISTATE_DISABLED ;
	if ( oSel.src.length == 0 ) return FCK_TRISTATE_DISABLED ;
	if ( oSel.src == '' ) return FCK_TRISTATE_DISABLED ;
	
	return FCK_TRISTATE_OFF ;
}

FCKCommands.RegisterCommand( 'ImageAdjustor', oImageAdjustorCommand ) ;

// Create the "ImageAdjustor" toolbar button.
var oImageAdjustorItem = new FCKToolbarButton( 'ImageAdjustor', FCKLang.ImageAdjustorBtn, null, null, false, true ) ;
oImageAdjustorItem.IconPath = FCKPlugins.Items['ImageAdjustor'].Path + 'icon.gif' ;

FCKToolbarItems.RegisterItem( 'ImageAdjustor', oImageAdjustorItem ) ;

// Register "ImageAdjustor" to contextmenu.
FCK.ContextMenu.RegisterListener( {
    AddItems : function( menu, tag, tagName )
    {
        // under what circumstances do we display this option
        if ( tagName != 'IMG' ) return ;
		if ( tag.getAttribute( '_fckfakelement' ) ) return ;
        if ( tag.src.length == 0 ) return ;
        if ( tag.src == '' ) return ;
        
        // the command needs the registered command name, the title for the context menu, and the icon path
        menu.AddSeparator() ;
        menu.AddItem( 'ImageAdjustor', FCKLang.ImageAdjustorDlgTitle, oImageAdjustorItem.IconPath ) ;
    }
} );
